## python-defaults 2.4.3-11ubuntu3

=== debian/changelog ===
python-defaults (2.4.3-11ubuntu3) edgy; urgency=low

  * Temporarily remove the FAQ and the build-dependency on python-docutils,
    so that the build dependencies can be installed.
    
 -- Matthias Klose <doko@ubuntu.com>  Wed, 20 Sep 2006 17:28:47 +0000

python-defaults (2.4.3-11ubuntu2) edgy; urgency=low

  * debian/pyversions:
    - merged the changes from python-central to support older python
      version (and not break on upgrades)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 20 Sep 2006 16:42:12 +0200

python-defaults (2.4.3-11ubuntu1) edgy; urgency=low

  * Merge with Debian unstable.

 -- Matthias Klose <doko@ubuntu.com>  Fri,  8 Sep 2006 00:22:21 +0200

python-defaults (2.4.3-11) unstable; urgency=low

  * Add a conflict to python-central (<< 0.5.5).

 -- Matthias Klose <doko@debian.org>  Sun, 13 Aug 2006 19:32:59 +0000

python-defaults (2.4.3-10) unstable; urgency=low

  * Upload to unstable. Closes: #347440, #360851.
  * Let the preinst fail on the first failing pre-rtupdate hook,
    after running the corresponding failed-pre-rtupdate hook.
  * Reflect renaming of the docutils binaries. Closes: #377601.
  * Update the upstream FAQ.

 -- Matthias Klose <doko@debian.org>  Sat, 12 Aug 2006 20:28:30 +0200

python-defaults (2.4.3-9) experimental; urgency=low

  * Fix syntax error in python.preinst. Closes: #381673.

 -- Matthias Klose <doko@debian.org>  Sun,  6 Aug 2006 12:39:34 +0000

python-defaults (2.4.3-8) experimental; urgency=low

  * idle: Depend on python-tk, add desktop and menu files.

 -- Matthias Klose <doko@debian.org>  Sat,  5 Aug 2006 18:38:31 +0000

python-defaults (2.4.3-7) experimental; urgency=low

  * Update pyversions.py from 2.3.5-11.
  * Fix pyversions(1), -r takes exactly one parameter.
  * idle: Remove the dependency on idle-pythonX.Y, add start script
    and man page.

 -- Matthias Klose <doko@debian.org>  Sat,  5 Aug 2006 17:34:43 +0000

python-defaults (2.4.3-6) experimental; urgency=low

  * Remove python's dependency on python-central. Closes: #372658.
  * On upgrade of the runtime to a new major version, call the hooks
    (executable files) in /usr/share/python/runtime.d/*.rtupdate.
    - in python.preinst, call the script with parameters
        pre-rtupdate <old runtime> <new runtime>.
      run all hooks, then return exit with the correct exit status.
    - in python.postinst, call the script with parameters
        rtupdate <old runtime> <new runtime>.
      run all hooks, then return exit with the correct exit status.
    - in python.postinst, call the script with parameters
        post-rtupdate <old runtime> <new runtime>.
      run all hooks, then return exit with the correct exit status.
  * pyversions -r: If the XS-Python-Version field cannot be found in
    debian/control, fall back to debian/pyversions for the version
    information. Return with an error code, if the intersection of
    the versions in debian/pyversions and the supported python versions
    is empty. Fall back to the supported versions if no version
    information can be found. Based on a patch from Raphael Hertzog.
  * Reflect renaming of the docutils binaries. Closes: #377601.

 -- Matthias Klose <doko@debian.org>  Sat,  5 Aug 2006 17:54:43 +0200

python-defaults (2.4.3-5ubuntu1) edgy; urgency=low

  * Synchronize with Debian experimental.
  * Remove python's dependency on python-central. On upgrade of
    the runtime, call hooks /usr/share/python/runtime.d/*.rtupdate.
    Addresses: #372658.
  * pyversions -r: If the XS-Python-Version field cannot be found in
    debian/control, fall back to debian/pyversions for the version
    information. Return with an error code, if the intersection of
    the versions in debian/pyversions and the supported python versions
    is empty. Fall back to the supported versions if no version
    information can be found. Based on a patch from Raphael Hertzog.

 -- Matthias Klose <doko@ubuntu.com>  Wed,  5 Jul 2006 05:11:42 +0000

python-defaults (2.4.3-5) experimental; urgency=low

  * Tighten dependencies between packages built from this source.
    A versioned dependency on python-all / python-all-dev is enough
    to depend on the same version of python / python-dev.
  * python: Conflict with python-central (<< 0.4.17).
  * python: Depend on a python2.4 built for the updated Python policy.
  * python: Conflict with a python2.3 using the old Python policy.

 -- Matthias Klose <doko@debian.org>  Fri, 16 Jun 2006 18:15:00 +0200

python-defaults (2.4.3-4) experimental; urgency=low

  * Include version 0.4.1.0 of the python policy.
  * Fix 'pyversions -i'.

 -- Matthias Klose <doko@debian.org>  Tue, 13 Jun 2006 09:44:22 +0200

python-defaults (2.4.3-3) experimental; urgency=low

  * Point to the draft of the reworked Python policy.
  * Fix 'pyversions -r current' (Raphael Hertzog).

 -- Matthias Klose <doko@debian.org>  Mon, 12 Jun 2006 13:40:52 +0200

python-defaults (2.4.3-02) experimental; urgency=low

  * Really do not build python-doc.

 -- Matthias Klose <doko@debian.org>  Sun, 11 Jun 2006 23:25:02 +0000

python-defaults (2.4.3-1ubuntu1) edgy; urgency=low

  * Let the -all packages depend on the default packages (closes: #365219).
  * Add /usr/share/python/debian_defaults for some default values (i.e.
    the supported python versions).
  * Add /etc/python/debian_config for byte-compilation options.
  * Add a pyversions script to give information about python versions and
    parse the XS-Python-Version attribute.
  * Include version 0.4.1.0 of the python policy.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 13 Jun 2006 13:22:43 +0200

python-defaults (2.4.3-01) experimental; urgency=low

  * Do not build the python-doc package from this source.

 -- Matthias Klose <doko@debian.org>  Sun, 11 Jun 2006 23:59:17 +0200

python-defaults (2.4.3-0) experimental; urgency=low

  * Upload to experimental.
  * Do not build the python-tk and python-gdbm packages from this source.

