=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: python
 Priority: optional
 Maintainer: Matthias Klose <doko@debian.org>
-Build-Depends-Indep: debhelper (>= 4), libhtml-tree-perl, debiandoc-sgml, python
+Build-Depends-Indep: debhelper (>= 4), libhtml-tree-perl, debiandoc-sgml, python-docutils (>= 0.4-3), python
 Standards-Version: 3.7.2
 
 Package: python
 Architecture: all
 Priority: standard
-Depends: python2.4 (>= 2.4.3-7), python-minimal (= ${Source-Version})
+Depends: python2.4 (>= 2.4.4), python-minimal (= ${Source-Version})
 Conflicts: python2.3 (<< 2.3.5-14), python2.1 (<= 2.1.2), python-xmlbase, python-csv, python-bz2, python-base, python-central (<< 0.5.5)
 Replaces: python2.3 (<= 2.3.2-6), python-xmlbase, python-base
 Provides: python-email, python-xmlbase
@@ -23,9 +23,8 @@
 
 Package: python-minimal
 Architecture: all
-Essential: yes
-Priority: required
-Depends: python2.4-minimal (>= 2.4.3-7), dpkg (>= 1.13.20)
+Priority: standard
+Depends: python2.4-minimal (>= 2.4.4), dpkg (>= 1.13.20)
 Conflicts: python (<= 2.4-1), python-central (<< 0.5.5)
 Replaces: python (<= 2.4-1)
 Description: A minimal subset of the Python language (default version)
@@ -36,7 +35,7 @@
 
 Package: python-examples
 Architecture: all
-Depends: python (= ${Source-Version}), python2.4-examples (>= 2.4.3-7)
+Depends: python (= ${Source-Version}), python2.4-examples (>= 2.4.4)
 Description: Examples for the Python language (default version)
  Examples, Demos and Tools for Python. These are files included in
  the upstream Python distribution.
@@ -46,7 +45,7 @@
 
 Package: python-dev
 Architecture: all
-Depends: python (= ${Source-Version}), python2.4-dev (>= 2.4.3-7)
+Depends: python (= ${Source-Version}), python2.4-dev (>= 2.4.4)
 Description: Header files and a static library for Python (default)
  Header files, a static library and development tools for building
  Python modules, extending the Python interpreter or embedding Python
@@ -72,7 +71,7 @@
 Package: python-doc
 Section: doc
 Architecture: all
-Depends: python2.4-doc (>= 2.4.3-7)
+Depends: python2.4-doc (>= 2.4.4)
 Suggests: python
 Conflicts: python-doc-info, python (<< 2.3.5)
 Replaces: python-doc-info, python (<< 2.3.5)
@@ -97,7 +96,7 @@
 Package: python-dbg
 Architecture: all
 Priority: extra
-Depends: python (= ${Source-Version}), python2.4-dbg (>= 2.4.3-7)
+Depends: python (= ${Source-Version}), python2.4-dbg (>= 2.4.4)
 Description: Debug Build of the Python Interpreter (version 2.4)
  Python interpreter configured with --pydebug. Dynamically loaded modules are
  searched in /usr/lib/python2.4/lib-dynload/debug first.
@@ -105,9 +104,9 @@
 Package: python-all
 Architecture: all
 Priority: optional
-Depends: python (= ${Source-Version}), python2.4, python2.5
+Depends: python (= ${Source-Version}), python2.4
 Description: Package depending on all supported Python runtime versions
- The package currently depends on python2.4 and python2.5, in the future,
+ The package currently depends on python2.4, in the future,
  dependencies on jython (Python for a JVM) and ironpython (Python for Mono)
  may be added.
  .
@@ -117,9 +116,9 @@
 Package: python-all-dev
 Architecture: all
 Priority: optional
-Depends: python-all (= ${Source-Version}), python-dev (= ${Source-Version}), python2.4-dev, python2.5-dev
+Depends: python-all (= ${Source-Version}), python-dev (= ${Source-Version}), python2.4-dev
 Description: Package depending on all supported Python development packages
- The package currently depends on python2.4-dev and python2.5, in the
+ The package currently depends on python2.4-dev, in the
  future, dependencies on jython (Python for a JVM) and ironpython (Python
  for Mono) may be added.
  .
