=== debian/rules ===
--- 
+++ 
@@ -12,10 +12,8 @@
 export NVER=2.5
 export PVER=python2.4
 
-VERSIONS = 2.3 2.4
-
 PREVVER	:= $(shell awk '/^python/ && NR > 1 {print substr($$2,2,length($$2)-2); exit}' debian/changelog)
-PREVVER := 2.4.3-7
+PREVVER := 2.4.4
 
 PWD		:= $(shell pwd)
 
@@ -24,9 +22,10 @@
 scriptdir	=  usr/share/python$(VER)
 scriptdir	=  usr/lib/python$(VER)
 
+rst2html	= $(PVER) /usr/share/python-docutils/rst2html.py
 rst2html	= rst2html
 
-with_doc	= yes
+with_doc	= no
 ifneq ($(with_doc),yes)
   NOPKGS	= -Npython-doc
 endif
@@ -112,7 +111,6 @@
 	dh_clean -k
 	dh_installdirs usr/share/doc/python/faq
 
-ifeq (0,1)
 	cd faq && \
 	for p in *.ht; do \
 	  p=`basename $$p .ht`; \
@@ -124,7 +122,6 @@
 	done
 	mv debian/python/usr/share/doc/python/faq/FAQ.html \
 		debian/python/usr/share/doc/python/
-endif
 
 	touch stamp-install
