## python-defaults 2.5.1~rc1-0ubuntu3

=== debian/changelog ===
python-defaults (2.5.1~rc1-0ubuntu3) feisty; urgency=low

  * Fix versioned build dependency on python2.5.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 13 Apr 2007 06:37:58 +0200

python-defaults (2.5.1~rc1-0ubuntu2) feisty; urgency=low

  * Add a sanity check, that /usr/bin/python points to the default
    python version. Users tend to modify this symlink, which then
    breaks stuff in obscure ways. Ubuntu #75557, Debian #418002.

 -- Matthias Klose <doko@ubuntu.com>  Fri,  6 Apr 2007 17:47:24 +0200

python-defaults (2.5.1~rc1-0ubuntu1) feisty; urgency=low

  * Depend on the 2.5.1~rc1 versions of the packages.

 -- Matthias Klose <doko@ubuntu.com>  Fri,  6 Apr 2007 11:13:10 +0000

python-defaults (2.5-0ubuntu6) feisty; urgency=low

  * python-dbg: Add a python-dbg-config binary.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Feb 2007 21:39:44 +0100

python-defaults (2.5-0ubuntu5) feisty; urgency=low

  * python-all-dbg: Tighten dependencies on the python2.x-dbg packages.
  * python-dbg: Provide python-gdbm-dbg, python-tk-dbg,
    link to README.debug, SpecialBuilds.txt.gz.
  * python-dev: Add an unversioned python-config binary.
  * Readd build-dependency on python-docutils.
  * Set Ubuntu maintainer address.
  * Update the FAQ.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 16 Feb 2007 18:18:06 +0100

python-defaults (2.5-0ubuntu4) feisty; urgency=low

  * New package python-all-dbg.

 -- Matthias Klose <doko@ubuntu.com>  Fri,  9 Feb 2007 01:16:09 +0100

python-defaults (2.5-0ubuntu3) feisty; urgency=low

  * Temporarily remove build-dependency on python-docutils.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 12 Jan 2007 13:06:50 +0000

python-defaults (2.5-0ubuntu2) feisty; urgency=low

  * Fix icon for desktop file.
  * Robustify building the faq html pages.
  * Make the suggestions of various packages versioned.
  * Recommend depending on "pythonX.X-foo, python-foo" instead of recommending
    to only depend on "pythonX.X-foo" when a particular version is needed to
    permit upgrades from real packages to virtual ones. (Loic Minier).

 -- Matthias Klose <doko@ubuntu.com>  Fri, 12 Jan 2007 11:42:02 +0000

python-defaults (2.5-0ubuntu1) feisty; urgency=low

  * Make python2.5 the default version.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 12 Jan 2007 09:10:52 +0000

python-defaults (2.4.4-1ubuntu2) feisty; urgency=low

  * python-minimal is essential, not python.

 -- Matthias Klose <doko@ubuntu.com>  Thu,  7 Dec 2006 14:25:20 +0000

python-defaults (2.4.4-1ubuntu1) feisty; urgency=low

  * Merge with Debian unstable.
    - Backout: Add 2.5 to unsupported-versions.
  * Build the FAQ again.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 16 Nov 2006 15:21:31 -0800
