=== debian/rules ===
--- 
+++ 
@@ -8,12 +8,19 @@
 
 DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
-export VER=2.4
-export NVER=2.5
-export PVER=python2.4
+changelog_values := $(shell dpkg-parsechangelog \
+			| awk '/^(Version|Source):/ {print $$2}')
+PKGSOURCE  := $(word 1, $(changelog_values))
+PKGVERSION := $(word 2, $(changelog_values))
+
+distribution := $(shell lsb_release -is)
+
+export VER=2.5
+export NVER=2.6
+export PVER=python2.5
 
 PREVVER	:= $(shell awk '/^python/ && NR > 1 {print substr($$2,2,length($$2)-2); exit}' debian/changelog)
-PREVVER := 2.4.4
+PREVVER := 2.5.1~rc1
 
 PWD		:= $(shell pwd)
 
@@ -22,10 +29,9 @@
 scriptdir	=  usr/share/python$(VER)
 scriptdir	=  usr/lib/python$(VER)
 
-rst2html	= $(PVER) /usr/share/python-docutils/rst2html.py
 rst2html	= rst2html
 
-with_doc	= no
+with_doc	= yes
 ifneq ($(with_doc),yes)
   NOPKGS	= -Npython-doc
 endif
@@ -51,6 +57,13 @@
 	    -e "s/@VER@/$(VER)/g" \
 	    -e "s/@PREVVER@/$(PREVVER)/g" \
 		<debian/control.in >debian/control.tmp
+ifeq ($(distribution),Ubuntu)
+  ifneq (,$(findstring ubuntu, $(PKGVERSION)))
+	m='Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>'; \
+	sed -i "/^Maintainer:/s/\(.*\)/Maintainer: $$m\nXSBC-Original-\1/" \
+	  debian/control.tmp
+  endif
+endif
 	[ -e debian/control ] \
 	  && cmp -s debian/control debian/control.tmp \
 	  && rm -f debian/control.tmp && exit 0; \
@@ -111,6 +124,7 @@
 	dh_clean -k
 	dh_installdirs usr/share/doc/python/faq
 
+	set -e; \
 	cd faq && \
 	for p in *.ht; do \
 	  p=`basename $$p .ht`; \
@@ -169,7 +183,7 @@
 		debian/python/usr/share/doc/python/
 
 	mkdir -p debian/python/usr/share/pixmaps
-	cp -p debian/pylogo.xpm debian/python/usr/share/pixmaps/python.xpm
+	ln -sf python$(VER).xpm debian/python/usr/share/pixmaps/python.xpm
 
 	: # add symlinks to policy files
 	mkdir -p debian/python/usr/share/doc/python$(VER)
@@ -182,17 +196,30 @@
 	mkdir -p debian/python-doc/usr/share/doc/python
 	ln -sf ../python$(VER)-doc/html \
 		debian/python-doc/usr/share/doc/python/html
+	mkdir -p debian/python-doc/usr/share/doc/python-doc
+	ln -sf ../python$(VER)-doc/html \
+		debian/python-doc/usr/share/doc/python-doc/html
 endif
 
 	mkdir -p debian/python/usr/share/apps/konsole
 	cp -p debian/python.desktop debian/python/usr/share/apps/konsole/
+
+	: # provide the python-config default
+	mkdir -p debian/python-dev/usr/bin
+	ln -sf python$(VER)-config debian/python-dev/usr/bin/python-config
 
 	: # provide the python-dbg and python-dbg.1 defaults
 	mkdir -p debian/python-dbg/usr/bin
 	ln -sf python$(VER)-dbg debian/python-dbg/usr/bin/python-dbg
+	ln -sf python$(VER)-dbg-config debian/python-dbg/usr/bin/python-dbg-config
 	mkdir -p debian/python-dbg/usr/share/man/man1
 	ln -sf python$(VER)-dbg.1.gz \
 		debian/python-dbg/usr/share/man/man1/python-dbg.1.gz
+	mkdir -p debian/python-dbg/usr/share/doc/python
+	ln -sf ../python$(VER)/SpecialBuilds.txt.gz \
+		debian/python-dbg/usr/share/doc/python/SpecialBuilds.txt.gz
+	ln -sf ../python$(VER)/README.debug \
+		debian/python-dbg/usr/share/doc/python/README.debug
 
 	mkdir -p debian/python/usr/lib/valgrind
 	cp -p debian/valgrind-python.supp \
@@ -206,7 +233,7 @@
 	install -m 644 debian/idle.1 debian/idle/usr/share/man/man1/idle.1
 
 	mkdir -p debian/idle/usr/share/pixmaps
-	cp -p debian/pylogo.xpm debian/idle/usr/share/pixmaps/idle.xpm
+	ln -sf python.xpm debian/python/usr/share/pixmaps/idle.xpm
 
 	mkdir -p debian/idle/usr/share/applications
 	cp -p debian/idle.desktop debian/idle/usr/share/applications/
@@ -217,7 +244,7 @@
 	dh_desktop -i $(NOPKGS)
 	dh_installchangelogs -i $(NOPKGS)
 
-	for p in all all-dev dbg dev examples idle; do \
+	for p in all all-dev all-dbg dbg dev examples idle; do \
 	  [ $$p = idle ] || p=python-$$p; \
 	  rm -rf debian/$$p/usr/share/doc/$$p; \
 	  ln -sf python debian/$$p/usr/share/doc/$$p; \
@@ -239,5 +266,3 @@
 .PHONY: control-file configure build clean binary-indep binary-arch binary install
 
 # Local Variables:
-# mode: makefile
-# end:
