## python-defaults 2.5.1-0ubuntu3

=== debian/changelog ===
python-defaults (2.5.1-0ubuntu3) feisty-proposed; urgency=low

  * Back out the change from 2.5.1-0ubuntu2; depend on the
    2.5.1 versions of the packages again.

 -- Matthias Klose <doko@ubuntu.com>  Fri,  4 May 2007 00:09:47 +0200

python-defaults (2.5.1-0ubuntu2) feisty-proposed; urgency=low

  * Loosen the dependency on the python2.5 packages; we did approve
    python-defaults before python2.5 was built on sparc.

 -- Matthias Klose <doko@ubuntu.com>  Thu,  3 May 2007 10:09:21 +0200

python-defaults (2.5.1-0ubuntu1) feisty-proposed; urgency=low

  * Depend on the 2.5.1 versions of the packages.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 18 Apr 2007 16:01:08 +0000
