=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 export PVER=python2.5
 
 PREVVER	:= $(shell awk '/^python/ && NR > 1 {print substr($$2,2,length($$2)-2); exit}' debian/changelog)
-PREVVER := 2.5.1~rc1
+PREVVER := 2.5.1
 
 PWD		:= $(shell pwd)
 
@@ -266,3 +266,4 @@
 .PHONY: control-file configure build clean binary-indep binary-arch binary install
 
 # Local Variables:
+# mode: makefile
