## python-defaults 2.5.1-1ubuntu2

=== debian/changelog ===
python-defaults (2.5.1-1ubuntu2) gutsy; urgency=low

  * Temporarily loosen the dependency on python2.5 to allow python2.5
    to build on powerpc and sparc.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 27 Apr 2007 00:00:32 +0200

python-defaults (2.5.1-1ubuntu1) gutsy; urgency=low

  * Depend on the 2.5.1 versions of the packages.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Apr 2007 11:23:17 +0200
