=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Package: python
 Architecture: all
 Priority: important
-Depends: python2.5 (>= 2.5.1), python-minimal (= ${Source-Version})
+Depends: python2.5 (>= 2.5), python-minimal (= ${Source-Version})
 Conflicts: python2.3 (<< 2.3.5-14), python2.1 (<= 2.1.2), python-xmlbase, python-csv, python-bz2, python-base, python-central (<< 0.5.5)
 Replaces: python2.3 (<= 2.3.2-6), python-xmlbase, python-base
 Provides: python-email, python-xmlbase
@@ -26,7 +26,7 @@
 Architecture: all
 Essential: yes
 Priority: required
-Depends: python2.5-minimal (>= 2.5.1), dpkg (>= 1.13.20)
+Depends: python2.5-minimal (>= 2.5), dpkg (>= 1.13.20)
 Conflicts: python (<= 2.4-1), python-central (<< 0.5.5)
 Replaces: python (<= 2.4-1)
 Description: A minimal subset of the Python language (default version)
@@ -37,7 +37,7 @@
 
 Package: python-examples
 Architecture: all
-Depends: python (= ${Source-Version}), python2.5-examples (>= 2.5.1)
+Depends: python (= ${Source-Version}), python2.5-examples (>= 2.5)
 Description: Examples for the Python language (default version)
  Examples, Demos and Tools for Python. These are files included in
  the upstream Python distribution.
@@ -47,7 +47,7 @@
 
 Package: python-dev
 Architecture: all
-Depends: python (= ${Source-Version}), python2.5-dev (>= 2.5.1)
+Depends: python (= ${Source-Version}), python2.5-dev (>= 2.5)
 Description: Header files and a static library for Python (default)
  Header files, a static library and development tools for building
  Python modules, extending the Python interpreter or embedding Python
@@ -73,7 +73,7 @@
 Package: python-doc
 Section: doc
 Architecture: all
-Depends: python2.5-doc (>= 2.5.1)
+Depends: python2.5-doc (>= 2.5)
 Suggests: python (>= ${Source-Version})
 Conflicts: python-doc-info, python (<< 2.3.5)
 Replaces: python-doc-info, python (<< 2.3.5)
@@ -98,7 +98,7 @@
 Package: python-dbg
 Architecture: all
 Priority: extra
-Depends: python (= ${Source-Version}), python2.5-dbg (>= 2.5.1)
+Depends: python (= ${Source-Version}), python2.5-dbg (>= 2.5)
 Provides: python-gdbm-dbg, python-tk-dbg
 Description: Debug Build of the Python Interpreter (version 2.5)
  Python interpreter configured with --pydebug. Dynamically loaded modules are
