## python-defaults 2.5.2-0ubuntu1

=== debian/changelog ===
python-defaults (2.5.2-0ubuntu1) hardy; urgency=low

  * Depend on the 2.5.2 versions of the packages.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 10 Mar 2008 18:03:30 +0000
