## python-defaults 2.5.2-1ubuntu1

=== debian/changelog ===
python-defaults (2.5.2-1ubuntu1) intrepid; urgency=low

  * Merge with Debian; remaining changes:
    - Build the -doc package from this source package.
    - Omit Debian specific upgrade code.
    - Regenerate the control file.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Jun 2008 13:13:51 +0200
